package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.AskLeavePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyAskLeaveExportExcelVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyAskLeaveDO;

import java.util.List;

/**
 * 老人请假管理 Service 接口
 *
 * @author 管理员
 */
public interface ElderlyAskLeaveService {

    void createAskLeave(ElderlyAskLeaveDO createReqVO);

    Long createAskLeaveBpm(ElderlyAskLeaveDO createReqVO);

    void editAskLeave(ElderlyAskLeaveDO elderlyAskLeaveDO);

    void delete(Long id);

    PageResult<ElderlyAskLeaveDO> findPage(AskLeavePageReqVO reqVO);

    ElderlyAskLeaveDO getDetail(Long id);

    /**
     * 获取导出数据列表，复用分页查询逻辑
     */
    List<ElderlyAskLeaveExportExcelVO> getExportList(AskLeavePageReqVO reqVO);
}